<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="op table sp xalan office style svg sl fo xlink text scodPp sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:courseUa[1])" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:courseUa"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:for-each select="sp:genRef"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtNa"/><xsl:value-of select="resultatAgent(concat($vContentAgtNa, '/getContent'))" disable-output-escaping="yes"/>
		</xsl:for-each>
		<xsl:for-each select="sp:obj"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:comment># sm:WBox</xsl:comment><xsl:variable name="vTitleContentc715_13"><xsl:choose><xsl:when test="boolean('true')">Objectifs</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></xsl:variable><xsl:variable name="vDataContentc715_13"><xsl:variable select="concat($vContentAgt, '_Aimp')" name="vContentAgtN16"/><xsl:value-of select="resultatAgent(concat($vContentAgtN16, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:variable name="vIsTitleMandatoryc715_13">true</xsl:variable><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/@table:style-name}" table:name="WBox_{getIdNode(.)}"><table:table-column table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-column[1]/@table:style-name}"/><table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-row/@table:style-name}"><table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-row/table:table-cell[1]/@table:style-name}"><xsl:if test="string-length(normalize-space($vTitleContentc715_13))&gt;0 or $vIsTitleMandatoryc715_13='true'"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{getEntryBuffer('odStyleBlocks', 'op_courseUa__objBox')/table:table/table:table-row/table:table-cell[1]/text:p/@text:style-name}"><xsl:value-of disable-output-escaping="yes" select="$vTitleContentc715_13"/></text:p></xsl:if><xsl:copy-of select="$vDataContentc715_13"/></table:table-cell></table:table-row></table:table>
		</xsl:for-each>
		<xsl:variable select="concat('@', $idRootAgt, '_meta', '_Akeywds')" name="vContentAgtN1a"/><xsl:value-of select="resultatAgent(concat($vContentAgtN1a, '/getContent'))" disable-output-escaping="yes"/>
		<xsl:apply-templates mode="N1c"/>
		<xsl:choose>
			<xsl:when test="sp:quest"><xsl:comment># sm:WParagraph</xsl:comment><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'op_courseUa__emptyParagraph')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
					
				</xsl:element></xsl:when>
		</xsl:choose>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template mode="N1c" match="*"/><!--# intro--><xsl:template mode="N1c" match="sp:intro"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N20_', generate-id()))"/>
			</xsl:template><!--# courseUc--><xsl:template mode="N1c" match="sp:courseUc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN32"/><xsl:value-of select="resultatAgent(concat($vContentAgtN32, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition>
			</xsl:template><!--# practUc--><xsl:template mode="N1c" match="sp:practUc"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">Exercice rédactionnel</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN41"/><xsl:value-of select="resultatAgent(concat($vContentAgtN41, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition>
			</xsl:template><!--# trainUcMcqSur trainUcMcqMur trainUcMatch trainUcOrdWord trainUcCloze trainUcField--><xsl:template mode="N1c" match="sp:trainUcMcqSur | sp:trainUcMcqMur | sp:trainUcMatch | sp:trainUcOrdWord | sp:trainUcCloze | sp:trainUcField"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="true()"><scodPp:section><scodPp:title><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0">Exercice : <xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')">Exercice</xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN50"/><xsl:value-of select="si($vContentAgtN50, resultatAgent(concat($vContentAgtN50, '_Aobjs', '/getContent')))" disable-output-escaping="yes"/><xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN52"/><xsl:value-of select="si($vContentAgtN52, resultatAgent(concat($vContentAgtN52, '_Akeywds', '/getContent')))" disable-output-escaping="yes"/><scodPp:dataBlock id="db_N54_{codeAgent('//')}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}" category="solQuiz"><xsl:variable name="vId">
							<xsl:value-of select="concat($vContentAgt, '')"/>
						</xsl:variable><xsl:variable name="vSortKey">
							<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
						</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
							<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
						</scodPp:title><scodPp:data>
							<xsl:variable select="concat($vContentAgt, '_Aasw')" name="vContentAgtN65"/><xsl:value-of select="resultatAgent(concat($vContentAgtN65, '/getContent'))" disable-output-escaping="yes"/>
						</scodPp:data></scodPp:dataBlock><xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN69"/><xsl:value-of select="resultatAgent(concat($vContentAgtN69, '/getContent'))" disable-output-escaping="yes"/></scodPp:content></scodPp:section></scodPp:condition>
			</xsl:template><!--# conclu--><xsl:template mode="N1c" match="sp:conclu"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N6f_', generate-id()))"/>
			</xsl:template><!--# quest--><xsl:template mode="N1c" match="sp:quest"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" id="db_N7a_{codeAgent('//')}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}" category="synth"><xsl:variable name="vId">
						<xsl:value-of select="concat($vContentAgt, '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
						<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), ''), '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
					</scodPp:title><scodPp:data>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN8b"/><xsl:value-of select="resultatAgent(concat($vContentAgtN8b, '/getContent'))" disable-output-escaping="yes"/>
					</scodPp:data></scodPp:dataBlock>
			</xsl:template><xsl:template match="*"/></xsl:stylesheet>